<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="436e739a-4353-46e9-b71b-a2985508e396" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/Training_Java_core/bai9_10_11_12_13_14_15_16/Product.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/Training_Java_core/bai9_10_11_12_13_14_15_16/Product.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/Training_Java_core/bai9_10_11_12_13_14_15_16/test.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/Training_Java_core/bai9_10_11_12_13_14_15_16/test.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/bai9_10_11_12_13_14_15_16/Product.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/bai9_10_11_12_13_14_15_16/Product.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/bai9_10_11_12_13_14_15_16/test.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/bai9_10_11_12_13_14_15_16/test.java" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="testRunner" value="GRADLE" />
    <option name="delegatedBuild" value="true" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectId" id="1Um3jBuThPhRaF1hDO9waG0ZTE4" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.path.for.package.eslint" value="project" />
    <property name="node.js.path.for.package.tslint" value="project" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="node.js.selected.package.tslint" value="(autodetect)" />
    <property name="settings.editor.selected.configurable" value="preferences.editor" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="bai2_Function_Interface" />
    </key>
  </component>
  <component name="RunManager" selected="Application.test">
    <configuration name="JobTimeDemo" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="bai5_DateTime.JobTimeDemo" />
      <module name="Training_Java_core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="bai5_DateTime.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestExample1" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="bai8_flatMap.TestExample1" />
      <module name="Training_Java_core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="bai8_flatMap.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestExample2" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="bai8_flatMap.TestExample2" />
      <module name="Training_Java_core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="bai8_flatMap.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestStutdent" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="bai8_flatMap.TestStutdent" />
      <module name="Training_Java_core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="bai8_flatMap.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="test" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="bai9_10_11_12_13_14_15_16.test" />
      <module name="Training_Java_core" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="bai9_10_11_12_13_14_15_16.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.test" />
        <item itemvalue="Application.TestExample2" />
        <item itemvalue="Application.TestStutdent" />
        <item itemvalue="Application.TestExample1" />
        <item itemvalue="Application.JobTimeDemo" />
      </list>
    </recent_temporary>
  </component>
  <component name="ServiceViewManager">
    <option name="viewStates">
      <list>
        <serviceView>
          <treeState>
            <expand />
            <select />
          </treeState>
        </serviceView>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="436e739a-4353-46e9-b71b-a2985508e396" name="Default Changelist" comment="" />
      <created>1575948075733</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1575948075733</updated>
      <workItem from="1575948078887" duration="2996000" />
      <workItem from="1575951112259" duration="128000" />
      <workItem from="1575951256677" duration="18008000" />
      <workItem from="1575989715703" duration="2457000" />
      <workItem from="1576033668232" duration="1146000" />
      <workItem from="1576062203190" duration="1764000" />
      <workItem from="1576201632049" duration="19000" />
      <workItem from="1576201703475" duration="3650000" />
      <workItem from="1576206543879" duration="6619000" />
      <workItem from="1576225706973" duration="816000" />
    </task>
    <task id="LOCAL-00001" summary="hieuhm commit">
      <created>1576212007043</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1576212007043</updated>
    </task>
    <option name="localTasksCounter" value="2" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="hieuhm commit" />
    <option name="LAST_COMMIT_MESSAGE" value="hieuhm commit" />
  </component>
  <component name="WindowStateProjectService">
    <state x="1205" y="215" key="#com.intellij.ide.util.MemberChooser" timestamp="1576211170274">
      <screen x="0" y="0" width="1858" height="1080" />
    </state>
    <state x="1205" y="215" key="#com.intellij.ide.util.MemberChooser/0.0.1858.1080@0.0.1858.1080" timestamp="1576211170274" />
    <state x="1245" y="207" key="#com.intellij.ide.util.MemberChooser/0.0.1920.1040@0.0.1920.1040" timestamp="1576034561821" />
    <state x="1236" y="404" width="407" height="240" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.classes" timestamp="1575951206669">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="1236" y="404" width="407" height="240" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.classes/0.0.1920.1040@0.0.1920.1040" timestamp="1575951206669" />
    <state x="935" y="138" key="CommitChangelistDialog2" timestamp="1576226749834">
      <screen x="0" y="0" width="1858" height="1080" />
    </state>
    <state x="935" y="138" key="CommitChangelistDialog2/0.0.1858.1080@0.0.1858.1080" timestamp="1576226749834" />
    <state width="423" height="484" key="DebuggerActiveHint" timestamp="1576209536594">
      <screen x="0" y="0" width="1858" height="1080" />
    </state>
    <state width="423" height="484" key="DebuggerActiveHint/0.0.1858.1080@0.0.1858.1080" timestamp="1576209536594" />
    <state width="382" height="466" key="DebuggerActiveHint/0.0.1920.1040@0.0.1920.1040" timestamp="1575961982589" />
    <state width="914" height="232" key="GridCell.Tab.0.bottom" timestamp="1576226606049">
      <screen x="0" y="0" width="1858" height="1080" />
    </state>
    <state width="914" height="232" key="GridCell.Tab.0.bottom/0.0.1858.1080@0.0.1858.1080" timestamp="1576226606049" />
    <state width="980" height="305" key="GridCell.Tab.0.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1575971932421" />
    <state width="914" height="232" key="GridCell.Tab.0.center" timestamp="1576226606048">
      <screen x="0" y="0" width="1858" height="1080" />
    </state>
    <state width="914" height="232" key="GridCell.Tab.0.center/0.0.1858.1080@0.0.1858.1080" timestamp="1576226606048" />
    <state width="980" height="305" key="GridCell.Tab.0.center/0.0.1920.1040@0.0.1920.1040" timestamp="1575971932421" />
    <state width="914" height="232" key="GridCell.Tab.0.left" timestamp="1576226606048">
      <screen x="0" y="0" width="1858" height="1080" />
    </state>
    <state width="914" height="232" key="GridCell.Tab.0.left/0.0.1858.1080@0.0.1858.1080" timestamp="1576226606048" />
    <state width="980" height="305" key="GridCell.Tab.0.left/0.0.1920.1040@0.0.1920.1040" timestamp="1575971932420" />
    <state width="914" height="232" key="GridCell.Tab.0.right" timestamp="1576226606049">
      <screen x="0" y="0" width="1858" height="1080" />
    </state>
    <state width="914" height="232" key="GridCell.Tab.0.right/0.0.1858.1080@0.0.1858.1080" timestamp="1576226606049" />
    <state width="980" height="305" key="GridCell.Tab.0.right/0.0.1920.1040@0.0.1920.1040" timestamp="1575971932421" />
    <state width="914" height="344" key="GridCell.Tab.1.bottom" timestamp="1576219186105">
      <screen x="0" y="0" width="1858" height="1080" />
    </state>
    <state width="914" height="344" key="GridCell.Tab.1.bottom/0.0.1858.1080@0.0.1858.1080" timestamp="1576219186105" />
    <state width="914" height="347" key="GridCell.Tab.1.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1575962254962" />
    <state width="914" height="344" key="GridCell.Tab.1.center" timestamp="1576219186105">
      <screen x="0" y="0" width="1858" height="1080" />
    </state>
    <state width="914" height="344" key="GridCell.Tab.1.center/0.0.1858.1080@0.0.1858.1080" timestamp="1576219186105" />
    <state width="914" height="347" key="GridCell.Tab.1.center/0.0.1920.1040@0.0.1920.1040" timestamp="1575962254961" />
    <state width="914" height="344" key="GridCell.Tab.1.left" timestamp="1576219186105">
      <screen x="0" y="0" width="1858" height="1080" />
    </state>
    <state width="914" height="344" key="GridCell.Tab.1.left/0.0.1858.1080@0.0.1858.1080" timestamp="1576219186105" />
    <state width="914" height="347" key="GridCell.Tab.1.left/0.0.1920.1040@0.0.1920.1040" timestamp="1575962254961" />
    <state width="914" height="344" key="GridCell.Tab.1.right" timestamp="1576219186105">
      <screen x="0" y="0" width="1858" height="1080" />
    </state>
    <state width="914" height="344" key="GridCell.Tab.1.right/0.0.1858.1080@0.0.1858.1080" timestamp="1576219186105" />
    <state width="914" height="347" key="GridCell.Tab.1.right/0.0.1920.1040@0.0.1920.1040" timestamp="1575962254961" />
    <state x="651" y="139" key="SettingsEditor" timestamp="1575968463671">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="651" y="139" key="SettingsEditor/0.0.1920.1040@0.0.1920.1040" timestamp="1575968463671" />
    <state x="912" y="278" key="Vcs.Push.Dialog.v2" timestamp="1576212014674">
      <screen x="0" y="0" width="1858" height="1080" />
    </state>
    <state x="912" y="278" key="Vcs.Push.Dialog.v2/0.0.1858.1080@0.0.1858.1080" timestamp="1576212014674" />
    <state x="634" y="356" key="com.intellij.ide.util.TipDialog" timestamp="1576201648236">
      <screen x="0" y="0" width="1858" height="1080" />
    </state>
    <state x="634" y="356" key="com.intellij.ide.util.TipDialog/0.0.1858.1080@0.0.1858.1080" timestamp="1576201648236" />
    <state x="655" y="343" key="com.intellij.ide.util.TipDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1575951259389" />
    <state x="1035" y="239" width="672" height="705" key="search.everywhere.popup" timestamp="1576226494124">
      <screen x="0" y="0" width="1858" height="1080" />
    </state>
    <state x="1035" y="239" width="672" height="705" key="search.everywhere.popup/0.0.1858.1080@0.0.1858.1080" timestamp="1576226494124" />
    <state x="1070" y="230" width="672" height="678" key="search.everywhere.popup/0.0.1920.1040@0.0.1920.1040" timestamp="1576034163597" />
  </component>
  <component name="XDebuggerManager">
    <watches-manager>
      <configuration name="Application">
        <watch expression="product2.getSaleDate().compareTo(now) &gt; 0" />
        <watch expression="arrayTest.length" language="JAVA" />
      </configuration>
    </watches-manager>
  </component>
</project>